Liferay.Loader.define("commerce-organization-web$d3-path@1.0.7/rollup.config", ['module', 'exports', 'require'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    var _extends = Object.assign || function (target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i];

        for (var key in source) {
          if (Object.prototype.hasOwnProperty.call(source, key)) {
            target[key] = source[key];
          }
        }
      }

      return target;
    };

    import { terser } from "rollup-plugin-terser";
    import * as meta from "./package.json";

    const config = {
      input: "src/index.js",
      external: Object.keys(meta.dependencies || {}).filter(key => /^d3-/.test(key)),
      output: {
        file: `dist/${meta.name}.js`,
        name: "d3",
        format: "umd",
        indent: false,
        extend: true,
        banner: `// ${meta.homepage} v${meta.version} Copyright ${new Date().getFullYear()} ${meta.author.name}`,
        globals: Object.assign({}, ...Object.keys(meta.dependencies || {}).filter(key => /^d3-/.test(key)).map(key => ({ [key]: "d3" })))
      },
      plugins: []
    };

    export default [config, _extends({}, config, {
      output: _extends({}, config.output, {
        file: `dist/${meta.name}.min.js`
      }),
      plugins: [...config.plugins, terser({
        output: {
          preamble: config.output.banner
        }
      })]
    })];
  }
});
//# sourceMappingURL=rollup.config.js.map